Loading...
Searching...
No Matches
RDKit::ConformerException Class Reference

used to indicate errors from incorrect conformer access More...

`#include <Conformer.h>`

Inheritance diagram for RDKit::ConformerException:

## Public Member Functions

| ConformerException (const char *msg)
| construct with an error message
| ConformerException (std::string msg)
| construct with an error message
const char * | what () const noexcept override
| get the error message
| ~ConformerException () noexcept override=default

## Detailed Description

used to indicate errors from incorrect conformer access

Definition at line 26 of file Conformer.h.

## Constructor & Destructor Documentation

## ConformerException() [1/2]

RDKit::ConformerException::ConformerException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 29 of file Conformer.h.

## ConformerException() [2/2]

RDKit::ConformerException::ConformerException | ( | std::string | msg | ) |

inline

construct with an error message

Definition at line 31 of file Conformer.h.

## ~ConformerException()

RDKit::ConformerException::~ConformerException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::ConformerException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 33 of file Conformer.h.

The documentation for this class was generated from the following file:

- Conformer.h